/*: TAVL_DEL.C	TAVL Tree library    Version 3.01   6-feb-93
 *: Prototype:	int tavl_delete(TAVL_treeptr tree, void *identifier)
 *: Purpose:	Delete from threaded AVL tree the node whose identifier
 *:		equals "*identifier", if such a node exists. Returns
 *:		non-zero if & only if a node is deleted.
 *
 *  RELEASED TO THE PUBLIC DOMAIN
 *
 *		 author:    Bert C. Hughes
 *			    200 N.Saratoga
 *			    St.Paul, MN 55104
 *			    Compuserve 71211,577
 */

#include "tavltree.h"

int tavl_delete (TAVL_treeptr tree, void *key)
{
     TAVL_nodeptr p = tavl_find(tree,key);
     return (p ? tavl_remove(tree,p), 1 : 0);
} /* tavl_delete */
